summaryrefslogtreecommitdiff
path: root/bin/git-rebase-interdiff
diff options
context:
space:
mode:
Diffstat (limited to 'bin/git-rebase-interdiff')
-rwxr-xr-xbin/git-rebase-interdiff10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/git-rebase-interdiff b/bin/git-rebase-interdiff
new file mode 100755
index 00000000..3092dc19
--- /dev/null
+++ b/bin/git-rebase-interdiff
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+# by Ian Jackson 2018, licensed MIT
+
+set -e
+gitdir=`git-rev-parse --git-dir`
+read <"$gitdir"/rebase-merge/stopped-sha stopped
+diff -u "$@" <(git show --oneline -p $stopped) <(git diff HEAD) \
+ | tail +3 \
+ | less +/'^[-+][-+]'